Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.net.http
Class HttpsURLConnection

    java.lang.Object
      |
      +--java.net.URLConnection
            |
            +--java.net.HttpURLConnection
                  |
                  +--weblogic.net.http.HttpURLConnection
                        |
                        +--weblogic.net.http.HttpsURLConnection

public class HttpsURLConnection
extends HttpURLConnection

HTTPS extends HTTPUrlConnection

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.net.http.HttpURLConnection
`clenOS, http, inputStream, poster, ps, requests, responses, setRequests, userAgent`

Fields inherited from class java.net.HttpURLConnection
`HTTP_ACCEPTED, HTTP_BAD_GATEWAY, HTTP_BAD_METHOD, HTTP_BAD_REQUEST, HTTP_CLIENT_TIMEOUT, HTTP_CONFLICT, HTTP_CREATED, HTTP_ENTITY_TOO_LARGE, HTTP_FORBIDDEN, HTTP_GATEWAY_TIMEOUT, HTTP_GONE, HTTP_INTERNAL_ERROR, HTTP_LENGTH_REQUIRED, HTTP_MOVED_PERM, HTTP_MOVED_TEMP, HTTP_MULT_CHOICE, HTTP_NO_CONTENT, HTTP_NOT_ACCEPTABLE, HTTP_NOT_AUTHORITATIVE, HTTP_NOT_FOUND, HTTP_NOT_MODIFIED, HTTP_OK, HTTP_PARTIAL, HTTP_PAYMENT_REQUIRED, HTTP_PRECON_FAILED, HTTP_PROXY_AUTH, HTTP_REQ_TOO_LONG, HTTP_RESET, HTTP_SEE_OTHER, HTTP_SERVER_ERROR, HTTP_UNAUTHORIZED, HTTP_UNAVAILABLE, HTTP_UNSUPPORTED_TYPE, HTTP_USE_PROXY, HTTP_VERSION, method, responseCode, responseMessage`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`HttpsURLConnection(java.net.URL u)`

Method Summary
`protected HttpClient` | `getHttpClient()`
`protected java.lang.String` | `getProtocol()`

Methods inherited from class weblogic.net.http.HttpURLConnection
`connect, disconnect, doSetRequests, followRedirect, getAuthInfo, getHeaderField, getHeaderField, getHeaderFieldKey, getInputStream, getOutputStream, getRequestProperty, setRequestProperty, usingProxy, writeRequests`

Methods inherited from class java.net.HttpURLConnection
`getErrorStream, getFollowRedirects, getPermission, getRequestMethod, getResponseCode, getResponseMessage, setFollowRedirects, setRequestMethod`

Methods inherited from class java.net.URLConnection
`getAllowUserInteraction, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderFieldDate, getHeaderFieldInt, getIfModifiedSince, getLastModified, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpsURLConnection

    public HttpsURLConnection(java.net.URL u)

Method Detail

### getProtocol

    protected java.lang.String getProtocol()

  Overrides:
    getProtocol in class HttpURLConnection

### getHttpClient

    protected HttpClient getHttpClient()
                                throws java.io.IOException

  Overrides:
    getHttpClient in class HttpURLConnection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD